
package com.redxun.knowledge.map.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.redxun.knowledge.map.entity.dao.MapGroupPurviewUser;
import com.redxun.knowledge.map.service.MapGroupPurviewUserServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.List;

@Slf4j
@RestController
@RequestMapping("/api-knowledge/knowledge/map/mapGroupPurviewUserController")
@Api(tags = "业务--知识地图组织可阅读者表")
@ClassDefine(title = "业务--知识地图组织可阅读者表", alias = "MapGroupPurviewUserController", path = "/api-knowledge/knowledge/map/mapGroupPurviewUserController",
        packages = "knowledge", packageName = "子系统名称")
public class MapGroupPurviewUserController extends BaseController<MapGroupPurviewUser> {

    @Autowired
    MapGroupPurviewUserServiceImpl mapGroupPurviewUserService;


    @Override
    public BaseService getBaseService() {
        return mapGroupPurviewUserService;
    }

    @Override
    public String getComment() {
        return "业务--知识地图组织可阅读者表";
    }

}

