
package com.redxun.knowledge.map.service;


import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.knowledge.map.entity.dao.MapContent;
import com.redxun.knowledge.map.mapper.MapContentMapper;
import org.springframework.stereotype.Service;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.Resource;

/**
* [业务--知识地图学习内容表]业务服务类
*/
@Service
public class MapContentServiceImpl extends SuperServiceImpl<MapContentMapper, MapContent> implements BaseService<MapContent> {

    @Resource
    private MapContentMapper mapContentMapper;

    @Override
    public BaseDao<MapContent> getRepository() {
        return mapContentMapper;
    }

}
