
package com.redxun.knowledge.map.service;


import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.knowledge.map.entity.dao.MapRoute;
import com.redxun.knowledge.map.mapper.MapRouteMapper;
import org.springframework.stereotype.Service;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.Resource;

/**
* [业务--知识地图学习路径表]业务服务类
*/
@Service
public class MapRouteServiceImpl extends SuperServiceImpl<MapRouteMapper, MapRoute> implements BaseService<MapRoute> {

    @Resource
    private MapRouteMapper mapRouteMapper;

    @Override
    public BaseDao<MapRoute> getRepository() {
        return mapRouteMapper;
    }

}
