package com.redxun.knowledge.map.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 文件名: MapContentDto
 * 作者: Zizg
 * 时间: 2023/1/13
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
@ApiModel("学习内容")
public class MapContentDto implements Serializable {

    @ApiModelProperty("学习内容类型;1-外部系统 2-维基知识")
    private Integer type;

    @ApiModelProperty("知识Id")
    private String knowledgeId;

    @ApiModelProperty("系统名称（外部系统）")
    private String outerSystemName;

    @ApiModelProperty("内容名称（外部系统）")
    private String outerContentName;

    @ApiModelProperty("访问地址（外部系统）")
    private String outerAccessUrl;

    @ApiModelProperty("排序")
    private Integer sort;
}
