package com.redxun.knowledge.map.entity.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.redxun.common.base.entity.BaseExtEntity;
import com.redxun.knowledge.map.entity.dao.MapContent;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 文件名: MapRouteDto
 * 作者: Zizg
 * 时间: 2023/1/13
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
@ApiModel("学习路径")
public class MapRouteDto implements Serializable {

    //名称
    @ApiModelProperty("学习路径名称")
    private String name;

    //排序
    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty("学习内容")
    private List<MapContentDto> contents;

}
